Post JC Transaction

Prev Next
Post
/jc-rest-api/rest/1/postjctran

Overview

The postjctran api endpoint is used to post batches of Job Costing transactions

UI Navigation

Job Costing > Transactions > Enter Cost Transaction - Post Transactions node

Reference Article

https://docs.cmicglobal.com/portal/Content/E_Reference_Material/JC_-_Job_Costing/Reference/Processing_Job_Costs/ECT-PostTransactions.htm?Highlight=Job%20Cost%20Transaction

Request Headers

Content-Type application/vnd.oracle.adf.action+json

Commonly Used Body Parameters

CMiC UI Fieldname Object Name Description Type Example Required
Company postjctran CompCode Company Code string ZZ Yes
Batch postjctran BchNum Batch Number to be posted number 181626 Yes
Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.action+json
Body parameters
object
Example{ "name": "postJcTran", "parameters": [ { "compCode": "ZZ" }, { "bchNum": "181626" } ] }
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/json
{
  "result": "Posting Completed Successfully"
}
object
404

Not Found

Headers
Content-Type
string
Exampleapplication/json
{
  "error": "Batch number 181626 has already been posted."
}
object
Copyright © 2024 CMiC All Rights Reserved